@echo off
setlocal

set pwd1=%~dp0
set NCHOME=%pwd1:~0,-5%

set RAD_HOME=%NCHOME%\guifoundation
set JAR_HOME=%RAD_HOME%\webapps\sla\WEB-INF\lib
set COMMONJAR_HOME=%RAD_HOME%\common\lib

FOR /F "" %%A IN ('dir /b "%JAR_HOME%\ncsi*.jar"') DO SET JAR=%JAR_HOME%\%%A
FOR /F "" %%A IN ('dir /b "%JAR_HOME%\ncs2*.jar"') DO SET NCSJAR=%JAR_HOME%\%%A
FOR /F "" %%A IN ('dir /b "%JAR_HOME%\ncsSoapClient*.jar"') DO SET NCSSOAPJAR=%JAR_HOME%\%%A
FOR /F "" %%A IN ('dir /b "%COMMONJAR_HOME%\ncsmClientSoap*.jar"') DO SET NCSMCLIENT=%COMMONJAR_HOME%\%%A
FOR /F "" %%A IN ('dir /b "%JAR_HOME%\xerces*.jar"') DO SET XERCESJAR=%JAR_HOME%\%%A

set OPTIONAL_JARS=%RAD_HOME%\webapps\sla\lib3p\bsh-1.3b2.jar
FOR /F "" %%A IN ('dir /b "%COMMONJAR_HOME%\jwsdp*.jar"') DO SET OPTIONAL_JARS=%OPTIONAL_JARS%;%COMMONJAR_HOME%\%%A
FOR /F "" %%A IN ('dir /b "%JAR_HOME%\jgl*.jar"') DO SET OPTIONAL_JARS=%OPTIONAL_JARS%;%JAR_HOME%\%%A
FOR /F "" %%A IN ('dir /b "%JAR_HOME%\cryptix*.jar"') DO SET OPTIONAL_JARS=%OPTIONAL_JARS%;%JAR_HOME%\%%A
FOR /F "" %%A IN ('dir /b "%JAR_HOME%\oromatcher*.jar"') DO SET OPTIONAL_JARS=%OPTIONAL_JARS%;%JAR_HOME%\%%A

set JREEXEC=%NCHOME%\platform\win32\jre_1.5.0\bin\java.exe
set BASEDIR=%RAD_HOME%
set USERNAME=""

call "%NCHOME%\etc\rad\ServerName_def.bat"

if "%1" EQU "-help" goto syntax
goto firstparamok

:syntax
echo rad_radshell: invalid syntax
echo proper syntax:
echo "rad_radshell [-disablerad | -disablesecuritymgr | <username>]"
echo ""
echo "-disablerad  = Disable RAD Facade"
echo "-disablesecuritymgr  = Disable Security Manager Facade"
echo "<username>  = Username to connect as"
goto end

:firstparamok
if "%1" EQU "-disablerad" (
	echo "Disabling RAD Facade (Security Manager Only) ..."
	set DISABLE_RADFACADE="-Dradshell.disable.radfacade=true"
) ELSE (
	if "%1" EQU "-disablesecuritymgr" (
		echo "Disabling Security Manager Facade (RAD Only) ..."
		set DISABLE_SECURITYFACADE="-Dradshell.disable.securityfacade=true"
	) ELSE (
		echo "Using username: %1"
		set USERNAME=%1
	)
)

cd %RAD_HOME%\webapps\sla\xml

"%JREEXEC%" -Xmx128M %DISABLE_RADFACADE% %DISABLE_SECURITYFACADE% -Dnchome="%NCHOME%" -Dimpact.props.directory="%NCHOME%\etc\rad" -Dnchome="%NCHOME%" -Dprops.directory="%NCHOME%\etc\rad" -Drad.scriptedapi.startup="%NCHOME%\etc\rad\scriptedAPIStartup.bsh" -Dbase.directory="%RAD_HOME%\webapps\sla" -Dname=%NAME% -Ddebug=false -cp "%JAR%;%NCSJAR%;%NCSSOAPJAR%;%RAD_HOME%\webapps\sla\WEB-INF\lib\djgl.jar;%RAD_HOME%\webapps\sla\WEB-INF\lib\jgl3.1.0.jar;%NCSMCLIENT%;%XERCESJAR%;%OPTIONAL_JARS%;%RAD_HOME%\common\lib\jdom-dev.jar" com.micromuse.sla.api.ScriptedAPIClient %USERNAME% 2>"%NCHOME%\log\rad_radshell_errors.log" 
:end


